<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // объявляем класс транспортное средство
      class Vehicle {
        constructor(type, color) {
          this.type = type;
          this.color = color;
        }
      }

      // объявляем класс машина, который наследует класс транспортное средство
      class Car extends Vehicle {
        constructor(brand, type, color) {
          // ключевое слово super вызывает конструктор родителя
          super(type, color);
          this.brand = brand;
        }
      }
      // объявляем класс автобус, который наследует класс транспортное средство
      class Bus extends Vehicle {
        constructor(capacity, type, color) {
          // ключевое слово super вызывает конструктор родителя
          super(type, color);
          this.capacity = capacity;
        }
      }

      const newCar = new Car("tesla", 'car', 'white');
      const newBus = new Bus(28, 'type', 'color');
      console.log(newCar.type);
      console.log(newCar.brand);
      console.log(newBus.type);
      console.log(newBus.capacity);
    </script>
  </body>
</html>
